Bug 784954 - Review Request: ktp-kded-integration-module - KDE integration for telepathy
Review Request: ktp-kded-integration-module - KDE integration for telepathy
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
: 757368 (view as bug list)
Depends On: 784945
Blocks: kde-reviews kde-telepathy-0.3
  Show dependency treegraph
Reported: 2012-01-26 13:59 EST by Rex Dieter
Modified: 2012-02-19 04:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-19 04:33:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Comment 1 nucleo 2012-02-07 11:44:57 EST
name: ok
summary: ok
license: ok
handling locale files: ok
Obsoletes/Provides: ok
rpmlint output: ktp-kded-integration-module.i686: W: invalid-url URL: https://projects.kde.org/projects/playground/network/telepathy/telepathy-kded-module HTTP Error 404: Not Found

Please replace URL with new https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
replace "buildRequires" with "BuildRequires",
remove unneeded BuildRequires: telepathy-qt4-devel.
Comment 2 nucleo 2012-02-07 11:47:47 EST
Also fix Source0 - there is unstable/kde-telepathy/ instead of unstable/telepathy-kde/ (see ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/ )
Comment 3 nucleo 2012-02-08 11:29:31 EST
*** Bug 757368 has been marked as a duplicate of this bug. ***
Comment 4 Rex Dieter 2012-02-09 13:53:33 EST
resetting reviewer
Comment 5 Rex Dieter 2012-02-09 14:09:21 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/ktp/ktp-kded-integration-module.spec 
SRPM URL: http://rdieter.fedorapeople.org/rpms/ktp/ktp-kded-integration-module-0.3.0-2.fc16.src.rpm

* Thu Feb 09 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- fix Source0 URL
- drop BR: telepathy-qt4-devel
- fix buildRequires typo
Comment 8 nucleo 2012-02-11 14:42:12 EST
MUST Items:
+ rpmlint output
  $ rpmlint ktp-kded-integration-module-0.3.0-3.fc16.i686.rpm ktp-kded-integration-module-0.3.0-3.fc16.src.rpm ktp-kded-integration-module-debuginfo-0.3.0-3.fc16.i686.rpm
  3 packages and 0 specfiles checked; 0 errors, 0 warnings. 
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name ktp-kded-integration-module-0.3.0.tar.bz2
+ spec file name ktp-kded-integration-module.spec matches base package name
+ complies with all the legal guidelines:
  + License: LGPLv2+ valid, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU LESSER GENERAL PUBLIC LICENSE Version 2.1) packaged as %doc
+ source matches upstream:
  MD5: 7c37771ab05c4f5c3d9fd710f3a87c27  ktp-kded-integration-module-0.3.0.tar.bz2
  SHA1: df916620c12dba8041669f36ca06c5b97781b4a7  ktp-kded-integration-module-0.3.0.tar.bz2
  SHA256: 5569022772147f984b50147c7504df62b38ac30f4046d85124aa6d56f46c87dc  ktp-kded-integration-module-0.3.0.tar.bz2
+ builds on at least one arch
  build from mock is in F16 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --all-name --with-kde macro
+ ldconfig call not needed (no shared libraries in dynamic linker's default paths)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_kde4_version}, %{_target_platform}, %{cmake_kde4}, %{_kde4_libdir}, %{_kde4_datadir})
+ no non-code content (only binary and desktop files)
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files which would need to be in a -devel subpackage
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ no .desktop file needed in /usr/share/applications for this KDE Telepathy internal module
+ desktop-file-validate call not needed for service type desktop files
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in %{_kde4_libdir} and %{_kde4_datadir})
  + proper changelog, tags, BuildRequires, Summary, Description, Obsoletes, Provides, URL, Source0
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts

+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (no scriptlets needed)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
+ no binaries/scripts that needs man pages

Comment 9 Rex Dieter 2012-02-11 17:28:51 EST
New Package SCM Request
Package Name: ktp-kded-integration-module
Short Description: KDE integration for telepathy
Owners: jreznik rdieter
Branches: f17 f16
Comment 10 Jon Ciesla 2012-02-12 16:20:39 EST
Git done (by process-git-requests).
Comment 11 Rex Dieter 2012-02-19 04:33:19 EST

Note You need to log in before you can comment on or make changes to this bug.